//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************
//
//
// $Id: BrachyPhantomSD.hh,v 1.2 2006/06/29 17:32:19 gunter Exp $
// GEANT4 tag $Name: geant4-08-03-patch-01 $
//
//    ********************************
//    *                              *  
//    *     BrachyPhantomSD.hh      *
//    *                              *
//    ********************************

#ifndef BrachyPhantomSD_h
#define BrachyPhantomSD_h 1

#include "G4VSensitiveDetector.hh"
#include "BrachyPhantomHit.hh"

class G4Step;
class G4HCofThisEvent;
class G4TouchableHistory;

class BrachyPhantomSD : public G4VSensitiveDetector
{
public:
  BrachyPhantomSD(G4String name, G4int NumVoxelX, G4int NumVoxelZ);
  ~BrachyPhantomSD();

  void Initialize(G4HCofThisEvent*);
  G4bool ProcessHits(G4Step*aStep,G4TouchableHistory*ROhist);
  void EndOfEvent(G4HCofThisEvent*HCE);
  void clear();
  void DrawAll();
  void PrintAll();

private: 
  const G4int numberOfVoxelsX;
  const G4int numberOfVoxelsZ;
  G4int *voxelID;
  BrachyPhantomHitsCollection *phantomHitsCollection;
};
#endif


